import React from 'react';
import '../content.less';
import LeftTab from './leftTab.jsx';

import Patent from './patent';
import Intellectual from './intellectual';
import Activity from './activity';
import Standard from './standard';
import ActivityCostList from './activityCostList';
import TechProduct from './techProduct';
import Ratepay from './ratepay';
import Finance from './finance';
import Achievement from './achievement';
import HonorList from './honorList';
import OrgTechCenter from './orgTechCenter';
import AnnualReport from './annualReport';
import Cognizance from './cognizance';
import Copyright from './copyright/copyright';
import Technology from './technology'

const Content = React.createClass({
    getInitialState() {
        return {
            loading: false,
            leftKey: 'patent',
            userType: '0'
        };
    },
    handlekey(key) {
        this.setState({
            leftKey: key,
        });
        window.location.hash = key;
    },
    componentWillMount() {
        if (window.location.hash) {
            this.handlekey(window.location.hash.substr(1));
        };
    },
    render() {
        return (
            <div className="acc-content">
                <LeftTab handlekey={this.handlekey} />
                <div className="content-right">
                    {(() => {
                        switch (this.state.leftKey) {
                            case 'patent':
                                return <Patent />;
                            case 'intellectual':
                                return <Intellectual />;
                            case 'activity':
                                return <Activity />;
                            case 'standard':
                                return <Standard />;
                            case 'activityCostList':
                                return <ActivityCostList />;
                            case 'techProduct':
                                return <TechProduct />;
                            case 'ratepay':
                                return <Ratepay />;
                            case 'finance':
                                return <Finance />;
                            case 'achievement':
                                return <Achievement />;
                            case 'honorList':
                                return <HonorList />;
                            case 'orgTechCenter':
                                return <OrgTechCenter />;
                            case 'annualReport':
                                return <AnnualReport />;
                            case 'cognizance':
                                return <Cognizance />;
                            case 'copyright':
                                return <Copyright />;
                            case 'technology':
                                return <Technology />;
                        };
                    })()}
                </div>
            </div>
        )
    }
});

export default Content;